YepAPI
YouTube API

Featured Channels

Get featured and related channels from a YouTube channel.

POST/v1/youtube/channel-channels
$0.01/call

Usage

const res = await fetch('https://api.yepapi.com/v1/youtube/channel-channels', {
  method: 'POST',
  headers: {
    'x-api-key': 'YOUR_API_KEY',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({ id: 'UCAuUUnT6oDeKwE6v1NGQxug' }),
});
const { data } = await res.json();
console.log(data.data);
curl -X POST https://api.yepapi.com/v1/youtube/channel-channels \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"id": "UCAuUUnT6oDeKwE6v1NGQxug"}'

Request Body

ParameterTypeRequiredDescriptionDefault
idstringYesYouTube channel ID
geostringNoCountry code for geo-specific results
langstringNoLanguage code

Response

{
  "ok": true,
  "data": {
    "data": [
      {
        "type": "channel",
        "channelId": "UCsooa4yRKGN_zEE8iknghZA",
        "title": "TED-Ed",
        "channelHandle": "@TEDEd",
        "subscriberCountText": "1.2M subscribers",
        "thumbnail": [
          { "url": "https://yt3.ggpht.com/...", "width": 88, "height": 88 }
        ]
      }
    ]
  }
}

Response Fields

FieldTypeDescription
okbooleanWhether the request succeeded
data.dataobject[]Array of featured/related channel objects
data.data[].typestringContent type (typically channel)
data.data[].channelIdstringUnique YouTube channel identifier
data.data[].titlestringChannel display name
data.data[].channelHandlestringChannel handle (e.g. @TEDEd)
data.data[].subscriberCountTextstringFormatted subscriber count (e.g. 1.2M subscribers)
data.data[].thumbnailobject[]Channel avatar images

On this page